package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsMqttMessage;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author xzzn
 * @date 2025-06-27
 */
public interface IEmsMqttMessageService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public EmsMqttMessage selectEmsMqttMessageById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param emsMqttMessage 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<EmsMqttMessage> selectEmsMqttMessageList(EmsMqttMessage emsMqttMessage);

    /**
     * 新增【请填写功能名称】
     *
     * @param emsMqttMessage 【请填写功能名称】
     * @return 结果
     */
    public int insertEmsMqttMessage(EmsMqttMessage emsMqttMessage);

    /**
     * 修改【请填写功能名称】
     *
     * @param emsMqttMessage 【请填写功能名称】
     * @return 结果
     */
    public int updateEmsMqttMessage(EmsMqttMessage emsMqttMessage);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteEmsMqttMessageByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteEmsMqttMessageById(Long id);

    /**
     * 新增【请填写功能名称】
     *
     * @param topic 【请填写功能名称】
     * @param message 【请填写功能名称】
     * @return 结果
     */
    public int insertMqttOriginalMessage(String topic, String message);
}
